Bug 508916

Summary: kernel BUG at fs/nfs/write.c:252 on s390x platform
Product: [Fedora] Fedora Reporter: Karsten Hopp <karsten>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: urgent    
Version: 11CC: hpicht, itamar, kernel-maint
Target Milestone: ---   
Target Release: ---   
Hardware: s390x   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 09:23:43 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 467765, 513460    

Description Karsten Hopp 2009-06-30 10:07:12 EDT
Description of problem:
kernel-2.6.29.5-191.fc11.s390x gives a traceback when doing heavy IO over NFS
on s390x (p.e. pungi image creation)


This problem is blocking getting bootable images for S390x



Version-Release number of selected component (if applicable):
2.6.29.5-191.fc11.s390x

How reproducible:
everytime

Steps to Reproduce:
1. install F-11 s390x with kernel-2.6.29.5-191.fc11.s390x
2. try to create bootimage with pungi when all files reside on a NFS server
3.
  
Actual results:
traceback

kernel BUG at fs/nfs/write.c:252!                                               
illegal operation: 0001 �#1� SMP                                                
Modules linked in: nfs lockd nfs_acl auth_rpcgss sunrpc ipv6 dm_multipath zfcp q
eth_l2 scsi_transport_fc cu3088 scsi_tgt vmur qeth qdio ccwgroup dasd_fba_mod da
sd_eckd_mod dasd_mod �last unloaded: scsi_wait_scan�                            
CPU: 0 Not tainted 2.6.29.5-191.fc11.s390x #1
Process pdflush (pid: 40, task: 00000000331bae40, ksp: 00000000331cbcd8)
Krnl PSW : 0704c00180000000 000003e00076d8b8 (nfs_do_writepage+0x198/0x280 �nfs�
)
           R:0 T:1 IO:1 EX:1 Key:0 M:1 W:0 P:0 AS:3 CC:0 PM:0 EA:3
Krnl GPRS: 0000000000000000 00000000ffffffff 0000000000000000 0000000000600020
           0000000021525460 0000000000000000 00000000331cbbc8 0000000021525514
           0000000000000002 00000000304eb900 000003e0407261a8 00000000331cb950
           000003e000753000 000003e00078f290 000003e00076d856 00000000331cb950
Krnl Code: 000003e00076d8ac: 581040b4           l       %r1,180(%r4)
           000003e00076d8b0: ba1240b4           cs      %r1,%r2,180(%r4)
           000003e00076d8b4: a7f40001           brc     15,3e00076d8b6
          >000003e00076d8b8: a7f40000           brc     15,3e00076d8b8
           000003e00076d8bc: b904002a           lgr     %r2,%r10
           000003e00076d8c0: c0e5ffff36e0       brasl   %r14,3e000754680
           000003e00076d8c6: 1222               ltr     %r2,%r2
           000003e00076d8c8: a7740039           brc     7,3e00076d93a
Call Trace:
(�<000003e00076d856>� nfs_do_writepage+0x136/0x280 �nfs�)
 �<000003e00076e14e>� nfs_writepages_callback+0x42/0x60 �nfs�
 �<00000000000d5acc>� write_cache_pages+0x2e4/0x44c
 �<000003e00076e0da>� nfs_writepages+0xda/0x10c �nfs�
 �<00000000000d5d18>� do_writepages+0x6c/0x8c
 �<000000000013c616>� __writeback_single_inode+0x1a2/0x328
 �<000000000013cd42>� generic_sync_sb_inodes+0x2aa/0x438
 �<000000000013d1f8>� writeback_inodes+0xe8/0x14c
 �<00000000000d680c>� background_writeout+0xdc/0x120
 �<00000000000d7630>� pdflush+0x1dc/0x2c0
 �<00000000000731a6>� kthread+0x86/0xbc
 �<000000000001c1d2>� kernel_thread_starter+0x6/0xc
 �<000000000001c1cc>� kernel_thread_starter+0x0/0xc
Last Breaking-Event-Address:
 �<000003e00076d8b4>� nfs_do_writepage+0x194/0x280 �nfs�
 <4>---� end trace b155e6bb01a8495b �---
Comment 1 Chuck Ebbert 2009-06-30 13:29:26 EDT
        if (test_bit(PG_CLEAN, &req->wb_flags)) {
                spin_unlock(&inode->i_lock);
                BUG();
        }

This looks like some kind of s390x core kernel bug.
Comment 2 Karsten Hopp 2009-07-01 11:58:11 EDT
reproducable without pungi:
# yum install --installroot=/share/karsten/tmp/ glibc-common

where /share is mounted per NFS with rw,nolock,noauto,rsize=1024,wsize=1024

glibc-common installs fine, the crash occurs during postinstall and is reproducable after a reboot with:
# chroot /share/karsten/tmp/
# /usr/sbin/build-locale-archive
Comment 3 Bug Zapper 2010-04-27 11:22:16 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 09:23:43 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.